/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/



/* Global */

.grecaptcha-badge {
    z-index: 999;
}


/* Typography */
:root {
  /* Define font-size variables */
/*   --text-xl: clamp(3rem, 0.75vw + 2.85rem, 3.75rem); /* Adjusted for H1 */
	 --text-xl: clamp(1.8rem, 1.98vw + 1.404rem, 3.094rem); 
  --text-l: clamp(1.575rem, 0.394vw + 1.497rem, 1.969rem);   /* Adjusted for H2 */
	
/*   --text-m: clamp(1.125rem, 0.313vw + 1.063rem, 1.4375rem); */
	 --text-m: clamp(1.013rem, 0.172vw + 0.978rem, 1.125rem);/* Adjusted for H3 */
	--text-s: clamp(0.938rem, 0.095vw + 0.919rem, 1rem);
/* 	 --text-s: clampclamp(1rem, 0.191vw + 0.962rem, 1.125rem); */
	
/*   --text-s: clamp(1rem, 0.25vw + 0.95rem, 1.25rem);  /* Adjusted for Body */
    --space: clamp(1.75rem, 2.677vw + 1.215rem, 3.5rem); 
    --space-005x: calc(var(--space) * 0.05);
    --space-015x: calc(var(--space) * 0.15);
    --space-025x: calc(var(--space) * 0.25);
    --space-035x: calc(var(--space) * 0.35);
    --space-05x: calc(var(--space) * 0.5);
    --space-075x: calc(var(--space) * 0.75);
    --space-125x: calc(var(--space) * 1.25);
    --space-15x: calc(var(--space) * 1.5);
    --space-175x: calc(var(--space) * 1.75);
    --space-2x: calc(var(--space) * 2);
    --space-25x: calc(var(--space) * 2.5);
    --space-35x: calc(var(--space) * 3.5);
    --space-45x: calc(var(--space) * 4.5);
    --space-55x: calc(var(--space) * 5.5);
    --space-65x: calc(var(--space) * 6.5);
    --space-75x: calc(var(--space) * 7.5);
    --space-3x: calc(var(--space) * 3);
    --space-4x: calc(var(--space) * 4);

    --minus-1x: calc(-1 * var(--space));
    --minus-2x: calc(-1 * var(--space-2x));
    --minus-3x: calc(-1 * var(--space-3x));
    --minus-4x: calc(-1 * var(--space-4x));
    --minus-5x: calc(-1 * var(--space-5x));
    --minus-6x: calc(-1 * var(--space-6x));
    --minus-7x: calc(-1 * var(--space-7x));
}

@media (max-width: 767px) {
  :root {
    --text-xl: clamp(1.53rem, 1.683vw + 1.193rem, 2.63rem);
    --text-l: clamp(1.339rem, 0.335vw + 1.272rem, 1.674rem);
  }
}

/* Utility */
.height-full {
	height: 100%;
}
.aspect-ratio-product,
.aspect-ratio-slide {
	width: 100%;
	aspect-ratio: 388/328; 
}

.aspect-ratio-left-right {
	aspect-ratio: 950/642;
}

/* .aspect-ratio-slider {
	width: 100%;
	aspect-ratio: 388/328
} */
/* Header */
.site-header,
.sticky-enabled .main-navigation.is_stuck {
    box-shadow: 0px 0px 10px #0000004D;
}

/* Header */

.header-cta {
	color: #fff!important;
}

.main-navigation .main-nav ul ul li a:hover {
    text-decoration: underline;
}

/* Cards */
.card-image {
	aspect-ratio: 527/329;
	width: 100%;
	object-fit: cover;
}

/* Slider */

.wp-block-cb-carousel .slick-next:before, .wp-block-cb-carousel .slick-prev:before {
    color: #5A86AC!important;
}

/* Gallery */

.pgcsimplygalleryblock-grid-item .pgcsimplygalleryblock-grid-main-wrap .pgcsimplygalleryblock-grid-item-wrap {
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    overflow: hidden;
    box-shadow: 0 5px 10px 0 rgba(0,0,0,0.3);
}

.pgcsimplygalleryblock-grid-load-more {
    padding: .4em 2em!important;
    border-radius: 10px!important;
    font-size: 15px!important;
		box-shadow: 0 10px 20px 0 #00000029!important;
    transition: all 0.5s ease!important;
}

.pgcsimplygalleryblock-grid-load-more:hover {
     background-color: var(--primary-hover)!important;
    transform: scale(1.025) perspective(1000px)!important;
    color: #ffffff!important;
}

/* Gravity Forms */

.gform_wrapper {
    width: 100%;
}

.gform_wrapper .gform_validation_errors>h2 {
    color: #c02b0a;
    font-size: 13.2px!important;
    font-weight: 500;
    line-height: 17.6px;
    margin: 0 0 12px!important;
}

/*** FIELD STYLING ***/
.gform_wrapper ul.gform_fields li.gfield,
.gform_wrapper .top_label li.gfield.gf_right_half {
    padding-right: 0;
}

.gfield_consent_label {
    font-size: 15px;
}

.gform_wrapper input[type=text], 
.gform_wrapper textarea,
.gform_wrapper input[type=password], 
.gform_wrapper [type="search"], 
.gform_wrapper [type="date"], 
.gform_wrapper [type="tel"], 
.gform_wrapper [type="email"] {
    background: transparent;
    border: solid 1px var(--primary)!important;
    border-right: none!important;
    border-left: none!important;;
    border-top: none!important;;
    border-radius: 0;
    color: var(--text)!important;
    font-weight: 400!important;
    padding: 8px 12px 5px 0!important;
  	font: inherit; 
}

.gform_wrapper.gravity-theme .gfield textarea.small {
    height: 50px!important;
}

.gform_wrapper .gform_body .gform_fields .gfield select {
    border: solid 1px var(--primary)!important;
    border-right: none!important;;
    border-left: none!important;;
    border-top: none!important;;
    border-radius: 0;
    color: var(--text) !important;
    font-weight: 700 !important;
    letter-spacing: 1px !important;
    padding: 17px 15px !important;
}

/*** BUTTON STYLING ***/
.gform_wrapper input[type=submit] {
    display: inline-flex;
    font-family: inherit;
    font-weight: 400;
    text-transform: uppercase;
    padding: .5em 2.25em;
    line-height: 1.4!important;
    border-radius: 10px;
    background-color: var(--secondary);
    color: var(--white);
    box-shadow: 0 10px 20px 0 #00000029;
    transition: all 0.5s ease;
}



/*** BUTTON HOVER STYLING ***/
.gform_wrapper input[type=submit]:hover {
    background-color: var(--secondary-hover);
    transform: scale(1.025) perspective(1000px);
}

input::placeholder,
textarea::placeholder,
textarea::-webkit-input-placeholder,
.gform_wrapper input::placeholder,
.gform_wrapper textarea::placeholder,
.gform_wrapper textarea::-webkit-input-placeholder {
    color: var(--text);
    opacity: 0.6;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder,
.gform_wrapper input:-ms-input-placeholder,
.gform_wrapper textarea:-ms-input-placeholder {
    color: var(--text);
    opacity: 0.6;
}

input::-ms-input-placeholder,
textarea::-ms-input-placeholder,
.gform_wrapper input::-ms-input-placeholder,
.gform_wrapper textarea::-ms-input-placeholder {
    color: var(--text);
    opacity: 0.6;
}

form small,
.gform_wrapper form small {
    font-size: 60%;
    color: var(--text);
}

@media(max-width: 1250px) {
	.header-cta {
		display: none!important;
	}
}

@media(max-width: 767px) {
    .gform_wrapper input[type=submit] {
        display: block;
        width: 100%;
    }
}


/* Gallery CSS */

.pgcsimplygalleryblock-grid-collection .pgcsimplygalleryblock-grid-footer .pgcsimplygalleryblock-grid-load-more {
    text-transform: uppercase;
    font-weight: 500;
}